@echo off
setlocal enabledelayedexpansion

:convert
echo 1) ETC1
echo 2) ETC1A4
echo 3) RGBA4
echo 4) RGBA8
echo 5) RGB8
echo.
set /p "format=Enter format (type 1, 2, 3, 4 or 5): "
echo.

if %format%==1 (
    set format=ETC1
) else if %format%==2 (
    set format=ETC1_A4
) else if %format%==3 (
    set format=RGBA4444
) else if %format%==4 (
    set format=RGBA8888
) else if %format%==5 (
    set format=RGB888
) else (
    echo Invalid BCLIM format
    echo.
    goto convert
)

set /p "file=Enter file: "
echo.

for %%A in ("%file%") do (
    set "name=%%~nA"
    set "ext=%%~xA"
)

..\bclimtool.exe -cvtfp "%format%" "..\..\out\%name%.bclim" %file%
echo PNG file successfully converted to BCLIM!
echo.

:choice
echo 1) Convert another file
echo 2) Go back to the previous menu
echo.
set /p "choice=> "
echo.

if /i %choice% == 1 goto convert
if /i %choice% == 2 goto back

:back
cd ..
cls
menu_png.bat /B

pause